## xfmail 1.3p0-1

=== config/Makefile ===
# $Id: Makefile,v 2.1 1997/09/23 16:09:10 gena Exp $

all:
	(cd .. && rm -f configure.in acconfig.h config.log config.cache config.status)
	(cd .. && ln -sf config/configure.in . && ln -sf config/acconfig.h .)
	(cd .. && autoheader && autoconf && rm -f configure.in acconfig.h)
	rm -f ../ui/Makefile ../compface/Makefile ../regex/Makefile ../Makefile
	rm -f ../ui/config.h ../ui/version.h

=== debian/changelog ===
xfmail (1.3p0-1) unstable; urgency=low

  * New release.

 -- Matt Ryan <matt@banana.org.uk>  Sun, 17 May 1998 20:09:57 +0100

xfmail (1.2p0-3) unstable; urgency=low

  * Fixed shared lib dependancy on liblockfile0

 -- Matt Ryan <matt@banana.org.uk>  Sat,  7 Mar 1998 10:28:31 +0000

xfmail (1.2p0-2) unstable; urgency=low

  * Mailbox locking should now be improved (hopefully this will fix
    some outstanding problem's).
  * Fix an error message to give better error information.

 -- Matt Ryan <matt@banana.org.uk>  Sat, 21 Feb 1998 18:43:32 +0000

xfmail (1.2p0-1) unstable; urgency=low

  * New upstream version.

 -- Matt Ryan <matt@banana.org.uk>  Sun, 28 Dec 1997 15:47:25 +0000

xfmail (1.1p0-2) unstable non-free; urgency=low

  * Removed package name from description. (Fixes #13637)
  * Changed /usr/doc/xfmail/Copyright to /usr/doc/xfmail/copyright, also
    changed Architecture from i386 to any. (Fixes #14535)

 -- Matt Ryan <matt@banana.org.uk>  Wed,  5 Nov 1997 14:25:14 +0000

xfmail (1.1p0-1) unstable non-free; urgency=low

  * Initial debian package.

 -- Matt Ryan <matt@banana.org.uk>  Sun,  5 Oct 1997 12:23:32 +0100

=== debian/control ===
Section: non-free/mail
Priority: optional
Maintainer: Matt Ryan <matt@banana.org.uk>
Standards-Version: 2.3.0.0

Package: xfmail
Architecture: any
Depends: ${shlibs:Depends}
Provides: mail-reader, imap-client
Description: X Window application for sending/receiving email.
 .
 It is partially compatible with mh style mailboxes but does not require any
 mh tools to be installed on the system.  You can browse your mh folders and
 messages using XFMail.
 .
 It has a user-friendly interface and online help to make it easy to use.
 It implements most of the mail functionality in one program and it does not
 require any additional tools.

=== debian/rules ===
#!/usr/bin/make -f
#
# Rules for making XFmail - Matt Ryan
#
SHELL=/bin/bash
CC = gcc

do_cfg:
	test -f Makefile || \
	./configure --with-extra-includes=/usr/X11R6/include/X11

build:	do_cfg
	$(CC) -O2 -Wall debian/mailbox.c -o debian/mailbox -llockfile
	make

binary:	checkroot build
	-rm -rf debian/tmp

	# Setup directory structure
	install -d -m 755 -o root -g root debian/tmp/DEBIAN
	install -d -m 755 -o root -g root debian/tmp/usr/{doc,lib}/xfmail
	install -d -m 755 -o root -g root debian/tmp/usr/X11R6/{bin,man/man1}

	# Install binary and man page
	install -m 755 -o root -g root -s ui/xfmail debian/tmp/usr/X11R6/bin/xfmail
	install -m 2755 -o root -g mail -s debian/mailbox debian/tmp/usr/lib/xfmail/mailbox
	install -m 644 -o root -g root ui/xfmail.1 debian/tmp/usr/X11R6/man/man1/xfmail.1
	gzip -9 debian/tmp/usr/X11R6/man/man1/xfmail.1

	# Install changelog
	install -m 644 -o root -g root debian/changelog debian/tmp/usr/doc/xfmail/changelog.Debian
	# Install program specific files
	install -m 644 -o root -g root Changelog KNOWNBUGS TODO README debian/tmp/usr/doc/xfmail
	install -m 644 -o root -g root debian/README debian/tmp/usr/doc/xfmail/README.Debian
	gzip -9 debian/tmp/usr/doc/xfmail/*
	install -m 644 -o root -g root Copyright debian/tmp/usr/doc/xfmail/copyright

	# Debian stuff..
	dpkg-shlibdeps ui/xfmail debian/mailbox
	dpkg-gencontrol

	dpkg --build debian/tmp ..

clean:	do_cfg
	-rm -rf debian/tmp
	-rm -f debian/{files,substvars}
	test -f Makefile && make clean
	-rm -f ui/Makefile regex/Makefile compface/Makefile ui/config.h ui/version.h debian/mailbox
	test -f Makefile && rm -f Makefile

checkroot:
	test root = "`whoami`"


.PHONY: do_cfg build binary clean checkroot

## xfmail 1.4.4

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Copyright(c) 1997 by Gennady B. Sorokopud (gena@NetVision.net.il) 
# 
# This software can be freely redistributed and modified for 
# non-commercial purposes as long as above copyright 
# message and this permission notice appear in all 
# copies of distributed source code and included as separate file 
# in binary distribution. 
#       
# Any commercial use of this software requires author's permission. 
# 
# This software is provided "as is" without expressed or implied 
# warranty of any kind. 
# Under no circumstances is the author responsible for the proper 
# functioning of this software, nor does the author assume any 
# responsibility for damages incurred with its use. 

# $Id: Makefile.in,v 1.15 1999/12/04 23:50:14 xfmail Exp $



version = 1.4.4

all:
	(cd ui && ${MAKE} all)

install:
	(cd ui && ${MAKE} install)

tar:
	mkdir ../xfmail-${version}
	cp -r * ../xfmail-${version}
	rm -f ../xfmail-${version}/xfmail.vtg
	rm -f ../xfmail-${version}/.snprj
	rm -f ../xfmail-${version}/xfmail.vpj
	(cd .. && tar cvf xfmail-${version}.tar xfmail-${version})
	rm -rf ../xfmail-${version}

bzip:
	bzip2 ../xfmail-${version}.tar

clean:
	rm -f config.cache config.log ui/config.h ui/version.h config.status
	(cd ui && ${MAKE} clean)
	(cd compface && ${MAKE} clean)
	(cd regex && ${MAKE} clean)

os2:
	rm -f ui/Makefile ui/config.h ui/version.h compface/Makefile \
	regex/Makefile
	(cd ui && ln -sf Makefile.os2 Makefile && \
		ln -sf config.h.os2 config.h)
	(cd compface && ln -sf Makefile.std Makefile)
	(cd regex && ln -sf Makefile.std Makefile)
	(cd ui && ${MAKE} ${MAKEFLAGS} all)

config:
	rm -f configure config.cache config.log ui/config.h ui/version.h \
	config.status
	rm -f ui/Makefile regex/Makefile compface/Makefile
	(ln -sf config/configure.in . && ln -sf config/acconfig.h .)
	(autoconf && autoheader && rm -f configure.in acconfig.h)
	./configure

dist: 
	cvs2cl.pl
	make tar
	make bzip
	rm -f config.cache config.log ui/config.h ui/version.h config.status

=== compface/Makefile ===
# Generated automatically from Makefile.in by configure.
#
#  Compface - 48x48x1 image compression and decompression
#
#  Copyright (c) James Ashton - Sydney University - June 1990.
#
#  Written 11th November 1989.
#
#  Permission is given to distribute these sources, as long as the
#  copyright messages are not removed, and no monies are exchanged. 
#
#  No responsibility is taken for any errors on inaccuracies inherent
#  either to the comments or the code of this program, but if reported
#  to me, then an attempt will be made to fix them.

# $Id: Makefile.in,v 1.4 1999/11/08 19:24:50 xfmail Exp $

LIBNAME		= libface.a
OBJECTS		= arith.o file.o compress.o gen.o face.o
SOURCES		= face.c arith.c file.c compress.c gen.c \
HDRS		= compface.h data.h -I../include 

CC		= ${CXX}
CFLAGS		= -g -O2 -Wall -DHAVE_CONFIG_H -I../ui
CXXFLAGS 	= @XFLAGSS@

all:		$(LIBNAME)

$(LIBNAME) :	$(OBJECTS)
		ar rc $(LIBNAME) $(OBJECTS)
		-ranlib $(LIBNAME)

clean :
		rm -f *.o *.a core a.out

arith.o:	arith.c compface.h data.h
compress.o:	compress.c compface.h data.h
file.o:		file.c compface.h data.h
gen.o:		gen.c compface.h data.h
face.o:		face.c compface.h data.h

=== config/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 2.1 1997/09/23 16:09:10 gena Exp $
+# $Id: Makefile,v 1.1.1.1 1999/10/19 13:52:05 cfreeze Exp $
 
 all:
 	(cd .. && rm -f configure.in acconfig.h config.log config.cache config.status)

=== ui/Makefile ===
# Generated automatically from Makefile.in by configure.
# 
# Copyright(c) 1995-1998 by Gennady B. Sorokopud (gena@NetVision.net.il) 
# 
# This software can be freely redistributed and modified for 
# non-commercial purposes as long as above copyright 
# message and this permission notice appear in all 
# copies of distributed source code and included as separate file 
# in binary distribution. 
#       
# Any commercial use of this software requires author's permission. 
# 
# This software is provided "as is" without expressed or implied 
# warranty of any kind. 
# Under no circumstances is the author responsible for the proper 
# functioning of this software, nor does the author assume any 
# responsibility for damages incurred with its use. 
# 

# $Id: Makefile.in,v 1.14 1999/11/11 17:55:14 xfmail Exp $

# change the following settings according to your system configuration

# How to link faces library
FACELIB     = -L../compface -lface
FACEFLAGS   = -I../compface -DFACES
FACEDP      = ../compface/libface.a
# NOTE: this enables support only for mailheader faces.
# Support for faces (picons) database is builtin and could
# be turned on or off using Faces configuration dialog.

# How to link regex library
REGLIB      = 
REGFLAGS    = 
REGDP       = 

# to turn on sound support uncomment the following line
# if you want to turn on NAS support uncomment -DNAS_SOUND and -laudio
SOUNDFLAGS  = -DUSE_SOUND
SOUNDLIB    = 

# additional defines
XFDEFS      = 

CC = ${CXX}
CFLAGS      = -g -O2 
XCFLAGS     = ${CFLAGS}  -DHAVE_CONFIG_H  \
		${FACEFLAGS} ${REGFLAGS} ${SOUNDFLAGS} \
		-I. -I../mail -I../pixmap -I../editor -I../include    -I/usr/X11R6/include 
LDADD       = ${FACELIB} ${REGLIB} ${SOUNDLIB} -lnsl -ldb -lforms -lXpm  -L/usr/local/lib  -lSM -lICE   -L/usr/X11R6/lib -lX11  -lm -lpthread 
CXXFLAGS 	= ${XCFLAGS}

prefix      = /usr/local
exec_prefix = ${prefix}
BINDIR      = ${exec_prefix}/bin
MANDIR      = ${prefix}/man
INSTALL     = /usr/bin/install -c

# end of user configurable settings

HELPFILE    = help.txt

MAN         = xfmail.1

OBJS =  xfmail.o cfgfile.o msg.o \
	dialogs.o choose_folder.o about.o help.o addr_book.o \
	font.o config.o inc.o misc.o sign.o sort.o rules.o \
	view_edit.o child.o pop_smtp.o search.o faces.o RdBitF.o \
	log.o mime_conf.o rep_fwd.o int_conf.o sound.o imap_conf.o \
	pgp.o keymap.o spellchecker.o \
	fmail.o util.o pop.o smtp.o nntp.o uucode.o mime.o imap.o cache.o \
	mbox.o fl_edit.o textbuf.o md5.o connection.o connectionManager.o

xfmail: ${OBJS} ${FACEDP} ${REGDP}
	${CC} -o $@ ${OBJS} ${LDADD}

all: xfmail

install: xfmail
	${INSTALL} -s -o bin -g bin -m 555 xfmail ${BINDIR}
	${INSTALL} -o bin -g bin -m 444 ${MAN} ${MANDIR}/man1

clean:
	rm -f ${OBJS} xfmail core help.h *.bak *.orig *.core libregex.a



help.h: ${HELPFILE} ../ChangeLog
	@./help_gen

../ChangeLog :
	touch ../ChangeLog

${FACEDP}:
	(cd ../compface; ${MAKE})

${REGDP}:
	(cd ../regex; ${MAKE})

help.o: help.h
fmail.o: version.h
xfmail.o: version.h
about.o: version.h
mime.o: version.h
cfgfile.o: version.h

connection.o: ../mail/connection.cpp
	${CXX} -c ${CXXFLAGS} ../mail/connection.cpp

connectionManager.o: ../mail/connectionManager.cpp
	${CXX} -c ${CXXFLAGS} ../mail/connectionManager.cpp

cfgfile.o: cfgfile.cpp
	${CXX} -c ${CXXFLAGS} cfgfile.cpp

fmail.o: ../mail/fmail.c
	${CC} -c ${XCFLAGS} ../mail/fmail.c

util.o: ../mail/util.c
	${CC} -c ${XCFLAGS} ../mail/util.c

pop.o: ../mail/pop.c
	${CC} -c ${XCFLAGS} ../mail/pop.c

imap.o: ../mail/imap.c
	${CC} -c ${XCFLAGS} ../mail/imap.c

smtp.o: ../mail/smtp.c
	${CC} -c ${XCFLAGS} ../mail/smtp.c

nntp.o: ../mail/nntp.c
	${CC} -c ${XCFLAGS} ../mail/nntp.c

uucode.o: ../mail/uucode.c
	${CC} -c ${XCFLAGS} ../mail/uucode.c

mime.o: ../mail/mime.c
	${CC} -c ${XCFLAGS} ../mail/mime.c

cache.o: ../mail/cache.c
	${CC} -c ${XCFLAGS} ../mail/cache.c

mbox.o: ../mail/mbox.c
	${CC} -c ${XCFLAGS} ../mail/mbox.c

md5.o: ../mail/md5.c
	${CC} -c ${XCFLAGS} ../mail/md5.c

fl_edit.o: ../editor/fl_edit.c
	${CC} -c ${XCFLAGS} ../editor/fl_edit.c

textbuf.o: ../editor/textbuf.c
	${CC} -c ${XCFLAGS} ../editor/textbuf.c

.c.o:
	${CC} -c ${XCFLAGS} $<

.cpp.o:
	${CXX} -c ${CXXFLAGS} $<
